Package com.xebialabs.deployit.plugin.api.udm

## Class DeployedApplication

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItemWithPolicies
    - - com.xebialabs.deployit.plugin.api.udm.DeployedApplication

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(description="A deployment of an application package or a deployable artifact to a middleware CI or an environment.")
      @TypeIcon("icons/types/udm.DeployedApplication.svg")
      public class DeployedApplication
      extends BaseConfigurationItemWithPolicies

  A deployment of an application package (a `Version`) on an `Environment`.

  Note that this is not the action, but the state of a deployment.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItemWithPolicies

      `onFailurePolicy, onSuccessPolicy`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeployedApplication()` |
    `DeployedApplication​(Version version, Environment environment)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add$ResolvedPlaceholder​(com.xebialabs.deployit.plugin.api.deployment.ResolvedPlaceholder resolvedPlaceholder)` |
    `void` | `add$ResolvedPlaceholders​(java.util.Set<com.xebialabs.deployit.plugin.api.deployment.ResolvedPlaceholder> resolvedPlaceholders)` |
    `void` | `addDeployed​(Deployed deployed)` |
    `void` | `addDeployeds​(Deployed... deployeds)` |
    `void` | `addDeployeds​(java.util.Collection<Deployed> deployeds)` |
    `static SearchParameters` | `findApplicationVersions​(ConfigurationItem context, PropertyDescriptor property)` |
    `java.util.Set<com.xebialabs.deployit.plugin.api.deployment.ResolvedPlaceholder>` | `get$ResolvedPlaceholders()` |
    `java.util.Set<ConfigurationItem>` | `getBoundConfigurationItems()` |
    `java.util.Set<Deployed>` | `getDeployeds()` |
    `Environment` | `getEnvironment()` |
    `java.util.List<java.lang.String>` | `getOrchestrator()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getUnresolvedPlaceholders()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getUnresolvedPlaceholdersWithValues()` |
    `Version` | `getVersion()` |
    `boolean` | `hasProvisioned()` |
    `boolean` | `isForceRedeploy()` |
    `boolean` | `isOptimizePlan()` |
    `boolean` | `isProvisioning()` |
    `boolean` | `isUndeployDependencies()` |
    `void` | `set$resolvedPlaceholders​(java.util.Set<com.xebialabs.deployit.plugin.api.deployment.ResolvedPlaceholder> $resolvedPlaceholders)` |
    `void` | `setBoundConfigurationItems​(java.util.Set<ConfigurationItem> boundConfigurationItems)` |
    `void` | `setDeployeds​(java.util.Set<Deployed> deployeds)` |
    `void` | `setEnvironment​(Environment environment)` |
    `void` | `setForceRedeploy​(boolean forceRedeploy)` |
    `void` | `setOptimizePlan​(boolean optimizePlan)` |
    `void` | `setOrchestrator​(java.util.List<java.lang.String> orchestrator)` |
    `void` | `setUndeployDependencies​(boolean undeployDependencies)` |
    `void` | `setUnresolvedPlaceholders​(java.util.Map<java.lang.String,​java.lang.String> unresolvedPlaceholders)` |
    `void` | `setVersion​(Version version)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItemWithPolicies

      `getOnFailurePolicy, getOnSuccessPolicy, setOnFailurePolicy, setOnSuccessPolicy`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeployedApplication

          public DeployedApplication()

    - #### DeployedApplication

          public DeployedApplication​(Version version,
                                     Environment environment)

  - ### Method Detail

    - #### findApplicationVersions

          @CandidateValuesFilter(name="deployedApplicationVersionCandidateFilter")
          public static SearchParameters findApplicationVersions​(ConfigurationItem context,
                                                                 PropertyDescriptor property)

    - #### getVersion

          public Version getVersion()

      Returns:
        The package (a `Version`) that is part of this deployment.

    - #### setVersion

          public void setVersion​(Version version)

      Parameters:
        `version` - The package (a `Version`) that is part of this deployment.

    - #### getEnvironment

          public Environment getEnvironment()

      Returns:
        The target `Environment` of this deployment.

    - #### setEnvironment

          public void setEnvironment​(Environment environment)

      Parameters:
        `environment` - The target `Environment` of this deployment.

    - #### getDeployeds

          public java.util.Set<Deployed> getDeployeds()

      Returns:
        The `Deployed` items that have been deployed to the `Environment`.

    - #### setDeployeds

          public void setDeployeds​(java.util.Set<Deployed> deployeds)

      Parameters:
        `deployeds` - The `Deployed` items that have been deployed to the `Environment`.

    - #### addDeployed

          public void addDeployed​(Deployed deployed)

    - #### addDeployeds

          public void addDeployeds​(Deployed... deployeds)

    - #### addDeployeds

          public void addDeployeds​(java.util.Collection<Deployed> deployeds)

    - #### getOrchestrator

          public java.util.List<java.lang.String> getOrchestrator()

      Returns:
        A list of Orchestrator names that can be used to orchestrate a deployment.

    - #### setOrchestrator

          public void setOrchestrator​(java.util.List<java.lang.String> orchestrator)

    - #### isOptimizePlan

          public boolean isOptimizePlan()

    - #### setOptimizePlan

          public void setOptimizePlan​(boolean optimizePlan)

    - #### getBoundConfigurationItems

          public java.util.Set<ConfigurationItem> getBoundConfigurationItems()

    - #### setBoundConfigurationItems

          public void setBoundConfigurationItems​(java.util.Set<ConfigurationItem> boundConfigurationItems)

    - #### getUnresolvedPlaceholders

          public java.util.Map<java.lang.String,​java.lang.String> getUnresolvedPlaceholders()

    - #### setUnresolvedPlaceholders

          public void setUnresolvedPlaceholders​(java.util.Map<java.lang.String,​java.lang.String> unresolvedPlaceholders)

    - #### getUnresolvedPlaceholdersWithValues

          public java.util.Map<java.lang.String,​java.lang.String> getUnresolvedPlaceholdersWithValues()

    - #### isUndeployDependencies

          public boolean isUndeployDependencies()

    - #### setUndeployDependencies

          public void setUndeployDependencies​(boolean undeployDependencies)

    - #### isProvisioning

          public boolean isProvisioning()

    - #### add$ResolvedPlaceholder

          public void add$ResolvedPlaceholder​(com.xebialabs.deployit.plugin.api.deployment.ResolvedPlaceholder resolvedPlaceholder)

    - #### add$ResolvedPlaceholders

          public void add$ResolvedPlaceholders​(java.util.Set<com.xebialabs.deployit.plugin.api.deployment.ResolvedPlaceholder> resolvedPlaceholders)

    - #### get$ResolvedPlaceholders

          public java.util.Set<com.xebialabs.deployit.plugin.api.deployment.ResolvedPlaceholder> get$ResolvedPlaceholders()

    - #### set$resolvedPlaceholders

          public void set$resolvedPlaceholders​(java.util.Set<com.xebialabs.deployit.plugin.api.deployment.ResolvedPlaceholder> $resolvedPlaceholders)

    - #### hasProvisioned

          public boolean hasProvisioned()

    - #### isForceRedeploy

          public boolean isForceRedeploy()

    - #### setForceRedeploy

          public void setForceRedeploy​(boolean forceRedeploy)